#!/bin/sh

usage() {
    echo -e -n "\n"
    echo "groupMembershipFullUpdate.sh [options...]"
    echo -e -n "\n"
    echo "Options:"
    echo "    -?, -help                                print this message"
    echo "    -u <username>, -username <username>      user name of admin user"
    echo "    -p <password>, -password <password>      user password (unencrypted)"
    echo "    -host                                    server host name, must be used with port"
    echo "    -port                                    server SOAP port number"
    echo "    -dynamicGroupUpdate never|default|always Specify 'never' to avoid or 'always' to enforce updates of dynamic groups."
    echo "                                             Omitting this option, passing 'default' or any other value will update"
    echo "                                             dynamic groups only if a group membership change was detected."
    echo -e -n "\n"
    exit $1
}

USERNAME_ARG=
PASSWORD_ARG=
USER_INSTALL_ROOT=
HOSTNAME=
SERVERPORT=
DYNAMICGROUPUPDATE=default

FINISHED='0'
until [ "$#" = "0" -o $FINISHED = '1' ]
do
    case "$1" in
        '-help'|'-?')
            usage 0
            ;;
        '-USER_INSTALL_ROOT')
            USER_INSTALL_ROOT="$2"
            shift;shift
            ;;
        '-username'|'-u'|'-user')
            USERNAME_ARG="-user $2"
            shift;shift
            ;;
        '-password'|'-p')
            PASSWORD_ARG="-password $2"
            shift;shift
            ;;
        '-host')
            HOSTNAME="-host $2"
            shift;shift
            ;;
        '-port')
            SERVERPORT="-port $2"
            shift;shift
            ;;
        '-dynamicGroupUpdate')
            DYNAMICGROUPUPDATE="$2"
            shift;shift
            ;;
        *)
            if [ "$1" ]
            then
               usage 1
            fi

            FINISHED='1'
            ;;
    esac
done

if [ -n "$HOSTNAME" ]
then

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" $USERNAME_ARG $PASSWORD_ARG -conntype SOAP $HOSTNAME $SERVERPORT -f $WAS_HOME"/BPM/Lombardi/tools/security/groupMembershipFullUpdate.jy" -dynamicGroupUpdate $DYNAMICGROUPUPDATE

else

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" $USERNAME_ARG $PASSWORD_ARG -f $WAS_HOME"/BPM/Lombardi/tools/security/groupMembershipFullUpdate.jy" -dynamicGroupUpdate $DYNAMICGROUPUPDATE

fi


if [ "$?" -ne "0" ]
then
    echo "Failed, please see logs for further details."
    echo -e -n "\n"
    exit $?
fi
