#!/bin/sh

usage() {
    echo "\n"
    echo "usersFullSync.sh [options...]"
    echo "\n"
    echo "Options:"
    echo "    -?, -help                             print this message"
    echo "    -u <username>, -username <username>   user name of admin user"
    echo "    -p <password>, -password <password>   user password (unencrypted)"
    echo "    -host                                 server host name, must be used with port"
    echo "    -port                                 server SOAP port number"
    echo "\n"
    exit $1
}

USERNAME_ARG=
PASSWORD_ARG=
USER_INSTALL_ROOT=
HOSTNAME=
SERVERPORT=

FINISHED='0'
until [ "$#" = "0" -o $FINISHED = '1' ]
do
    case "$1" in
        '-help'|'-?')
            usage 0
            ;;
        '-USER_INSTALL_ROOT')
            USER_INSTALL_ROOT="$2"
            shift;shift
            ;;
        '-username'|'-u'|'-user')
            USERNAME_ARG="$2"
            shift;shift
            ;;
        '-password'|'-p')
            PASSWORD_ARG="$2"
            shift;shift
            ;;
        '-host')
            HOSTNAME="$2"
            shift;shift
            ;;
        '-port')
            SERVERPORT="$2"
            shift;shift
            ;;
        *)  
            if [ "$1" ]
	        then
	           usage 1
	        fi        
            FINISHED='1'
            ;;
    esac
done

if [ -n "$HOSTNAME" ]
then

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" -user $USERNAME_ARG -password $PASSWORD_ARG -conntype SOAP -host $HOSTNAME -port $SERVERPORT -f $WAS_HOME"/BPM/Lombardi/tools/security/usersFullSync.jy"

else

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" -user $USERNAME_ARG -password $PASSWORD_ARG -f $WAS_HOME"/BPM/Lombardi/tools/security/usersFullSync.jy"  

fi


if [ "$?" -ne "0" ]
then
    echo "Failed, please see logs for further details."
    echo "\n"
    exit $?
fi
